# Generated from random-word-2.1.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name random-word

Name: rubygem-%{gem_name}
Version: 2.1.1
Release: 1%{?dist}
Summary: Pick random words for factory data
License: MIT
URL: https://github.com/openlogic/random-word
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(coveralls)
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(machinist) >= 2.0
# BuildRequires: rubygem(machinist) < 3
BuildArch: noarch

%description
A random word generator intended for use in test data factories.  This library
uses a large list (the wordnet corpus) of english words and provides an
enumerator interface to that corpus that will return the words in a random
order without repeats.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/data
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/HISTORY.markdown
%doc %{gem_instdir}/README.markdown
%{gem_instdir}/Rakefile
%{gem_instdir}/random-word.gemspec

%changelog
* Tue Sep 14 2021 mockbuilder - 2.1.1-1
- Initial package
